package com.ruoyi.system.mapper;

import java.util.List;
import com.ruoyi.system.domain.ClockRecord;

/**
 * 打卡记录Mapper接口
 * 
 * @author ruoyi
 * @date 2024-08-06
 */
public interface ClockRecordMapper 
{
    /**
     * 查询打卡记录
     * 
     * @param clockId 打卡记录主键
     * @return 打卡记录
     */
    public ClockRecord selectClockRecordByClockId(Long clockId);

    /**
     * 查询打卡记录列表
     * 
     * @param clockRecord 打卡记录
     * @return 打卡记录集合
     */
    public List<ClockRecord> selectClockRecordList(ClockRecord clockRecord);

    /**
     * 新增打卡记录
     * 
     * @param clockRecord 打卡记录
     * @return 结果
     */
    public int insertClockRecord(ClockRecord clockRecord);

    /**
     * 修改打卡记录
     * 
     * @param clockRecord 打卡记录
     * @return 结果
     */
    public int updateClockRecord(ClockRecord clockRecord);

    /**
     * 删除打卡记录
     * 
     * @param clockId 打卡记录主键
     * @return 结果
     */
    public int deleteClockRecordByClockId(Long clockId);

    /**
     * 批量删除打卡记录
     * 
     * @param clockIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteClockRecordByClockIds(Long[] clockIds);

    List<ClockRecord> selectOrderFoodListRl(ClockRecord clockRecord);

    ClockRecord selectClockRecordNew(ClockRecord clockRecord);
}
